﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Sample
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            ObservableCollection<MainModel> ocShifts = new ObservableCollection<MainModel>();
            for (int i=0; i<2; i++)
            {
                ocShifts.Add(new MainModel { DisplayDateTime = "date " + i, DisplayLocation = "location" + i });
            }
            lvShifts.ItemsSource = ocShifts;
        }

        private void lvShifts_ItemSelected(object sender, SelectedItemChangedEventArgs e)
        {

        }
    }

    public class MainModel
    {
        public string Icon { set; get; }
        public string DisplayDateTime { set; get; }
        public string DisplayLocation { set; get; }
    }
}
